Subject: Re: bug#79279: 28.2; Combining characters cause formatting problems when showing CAP candidates

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Aug 2025 03:38:02 -0400

>> The alternative is for us to always add a special character there,
>> like ZWNJ or maybe invisible TAB, like we do in other places where we
>> want to prevent character composition.
> That would be The Right Thing to do, I think.

[ Sorry, sent it a bit precipitously. ]

In practice it's rare for completion candidates to start with combining
characters, so it's maybe not a bad tradeoff to dump that burden on the
few completion tables where we know it's more likely to occur.

Still, if it can be done cheaply enough in `minibuffer.el`, it's much
better, because the poor souls writing those completion tables are
unlikely to be familiar with the issue and how best to circumvent it.

        Stefan